<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

if (! defined('EXCEPTIONHANDLINGPHP'))
{
    define ('EXCEPTIONHANDLINGPHP', 'EXCEPTIONHANDLINGPHP');

    include ('globals.php');

    // setze die php-ini-Variablen fuer das Error-Handling
    ini_set('display_errors', DISPLAYERRORS);
    ini_set('log_errors',     LOGERRORS);
    ini_set('error_log', LOGFILENAME);

    // Benutzerdefinierter Errorhandler
    function errorhandler ($errno, $errmsg, $errfile, $errline)
	{
	    // ... hier noch geeignetes errorhandling einfuegen ...
	} // function spferrorhandling ()

    // Um den benutzerdefinierten Errorhandler 
    // zu aktivieren, muss die folgende Zeile entkommentiert
    // werden. 

    // $olderrhandler = set_error_handler ('errorhandler');

    
    // Benutzerdefinierter Exceptionhandler zum Abfangen aller
    // Exceptions, die sonst nicht behandelt werden. 
    function exceptionhandler ($e)
	{
	    // Versuch, den Fehler sinnvoll zu loggen ...
	    try
		{
		    LoggClass::loggErr("logging im exception handler");
		}
	    catch (Exception $e){}
	    // ... und verabschiede Dich dann hoeflich.
	    echo "oups, das war leider nichts :-<";
	}

    $old_exceptionhandler = set_exception_handler ('exceptionhandler');
}
?>
