<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

include ('globals.php');
include ('exceptionhandling.php');
include ('loggclass.php');
include ('session2class.php');
include ('bookdbmapperclass.php');
include ('userclass.php');
include ('bookclass.php');
include ('html2class.php');

$Session = new SessionClass();
$message = '';

// pruefe, ob Login erforderlich

if ( $Session->getState() >= 1 ) 
{
    $Persistence = new BookDbMapperClass
	(DBNAME, DBUSER, DBPASSWORD);

    if (isset($_GET['bookid']))
	{
	    $bookid = $_GET['bookid'];
	    $Book = $Persistence->readBook($bookid);
	    LoggClass::logg("book: " . $Book->getTitle());
	}
    else
	{
	    $message = "Das Buch Nr. $bookid konnte nicht gefunden werden. ";
	    $bookid = 0;
	    $Book = new BookClass;
	    
	}
}

?>
<html>
<head>
</head>
<body>
  <table>
    <tr>
      <td></td><td><h1>PHP Baukasten Beispielanwendung</h1></td>
    </tr>
    <tr>
      <td><?php echo HtmlClass::getNaviBar($Session->getState()) ?></td>
      <td>
        <?php if ( $Session->getState() >= 1 ): ?>
            <h2>Buch Details</h2>
            <?php echo $message; ?>
            <br>
            <table border='0'>
              <tr>
                <td>Buch Nr. </td>
                <td><?php echo $bookid ?></td>
              </tr>
              <tr>
                <td>Autor:</td>   
                <td>
                  <?php echo $Book->getAuthorLastName()  ?>, 
                  <?php echo $Book->getAuthorFirstName()?>
                </td>
              </tr>
              <tr>
                <td>Titel:</td>
                <td><?php echo $Book->getTitle()       ?></td>
              </tr>
              <tr>
                <td>Untertitel: </td>
                <td><?php echo $Book->getSubTitle() ?></td>
              </tr>
            </table>    
            <a href="bookchange2.php?bookid=<?php echo $bookid ?>">
                aendern
            </a>
            <a href="bookdelete2.php?bookid=<?php echo $bookid ?>">
              loeschen
            </a>
         <?php else: ?>
             Bitte loggen Sie sich erst ein.
         <?php endif; ?>
      </td>	
    </tr>
  </table>
</body>
</html>
