<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

include ('globals.php');
include ('exceptionhandling.php');
include ('loggclass.php');
include ('sessionclass.php');
include ('userclass.php');
include ('htmlclass.php');

$Session = new SessionClass();
$message = '';

// pruefe, ob Logout erforderlich
if ( ($Session->getState() >= 1) && isset($_POST['submitLogout']) )
{
    $formerusername = $Session->getUsername();
    $Session->logout();
    $message = "Auf Wiedersehen, $formerusername"; 
}    
?>
<html>
<head>
</head>
<body>
  <table>
    <tr>
      <td></td><td><h1>PHP Baukasten Beispielanwendung</h1></td>
    </tr>
    <tr>
      <td><?php echo HtmlClass::getNaviBar($Session->getState()) ?></td>
      <td>
        <?php echo $message ?>
        <br>
        <?php if ($Session->getState() >= 1): ?>
	  <br>
	  M&ouml;chten Sie sich wirklich ausloggen?
	  <form action="#" method="POST">
	    <input type="submit" name="submitLogout" value="Logout">
	  </form>
	<?php endif; ?>
      </td>	
    </tr>
  </table>
</body>
</html




