<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

if (! defined('USERCLASSPHP') )
{
    define ('USERCLASSPHP', 'USERCLASSPHP' );

    include ('globals.php');
    include ('exceptionhandling.php');
    include ('loggclass.php');

    class UserClass
    {
	private $username = '';
	private $password = '';
	private $lastname = '';
	private $firstname = '';

	public function __construct($username = '',  
				    $lastname = '', 
				    $firstname = '', 
				    $password = '')
	{
	    $this->username = $username;
	    $this->lastname = $lastname;
	    $this->firstname = $firstname;
	    $this->password = $password;
	}
	
	public function __destruct () {}

	public function setUsername ($username)
	{ $this->username = $username; }
	
	public function getUsername ()
	{ return $this->username; }

	public function checkUsername()
	{ return ($this->username ? true : false); }
	
	public function setLastname ($lastname)
	{ $this->lastname = $lastname; }
	
	public function getLastname ()
	{ return $this->lastname; }

	public function checkLastname ()
	{ return ($this->lastname ? true: false); }

	public function setFirstname ($firstname)
	{ $this->firstname = $firstname; }

	public function getFirstname ()
	{ return $this->firstname; }

	public function checkFirstname ()
	{ return ($this->firstname ? true: false); }

	public function setPassword($password)
	{ $this->password = $password; }

	public function getPassword ()
	{ return $this->password; }

	public function isValid()
	{ 
	    return $this->checkFirstname() 
		&& $this->checkLastname()
		&& $this->checkUsername();
	}
	
	public function isEmpty()
	{
	    return ( ! $this->username 
		     && ! $this->firstname
		     && ! $this->lastname
		     );
	}

	public function __toString()
	{
	    return "username=" . $this->username
		. ";lastname=" . $this->lastname
		. ";firstname=" . $this->firstname;
	}

    }
}
?>
