<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------


if (! defined ('GLOBALSPHP'))
{
    define ('GLOBALSPHP', 'GLOBALSPHP');

    // Deklarationen globaler Variablen	

    // Verzeichnis fuer Log-Dateien
    define ('LOGDIR',     '/Pfad/zum/Logverzeichnis');

    // Daten fuer den Aufbau der Datenbankverbindung
    define ('DBNAME',     'phpbox');
    define ('DBUSER',     'phpbox');
    define ('DBPASSWORD', 'phpbox');

    // Flag, ob Fehler am Browser ausgegeben werden sollen. 
    // Wird zum Setzen des php-ini-Parameters display_errors verwendet. 
    // Sollte 0 sein im produktiven Betrieb. 
    define ('DISPLAYERRORS', 1);

    // Flag, ob Fehler im Apache-Logfile geloggt werden sollen. 
    define ('LOGERRORS', 1);

    // Name des Anwendungsspezifischen Logfiles, 
    // in das Logging- und Fehlermeldungen
    // geschrieben werden.
    define ('LOGFILENAME', LOGDIR . '/' . 'phpbox.' 
	    . date('Ymd') . '.log');

    // Treiber fuer ADOdb-Zugriff
    define ('DBDRIVER', 'postgres7');

}

?>







