<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

if (!defined('USERDBMAPPERCLASSPHP'))
{
    define ('USERDBMAPPERCLASSPHP', 'USERDBMAPPERCLASSPHP');

    include ('globals.php');
    include ('exceptionhandling.php');
    include ('loggclass.php');
    include ('userclass.php');
    include ('basedbclass.php');

    class UserDbMapperClass extends BaseDbClass
    {

	// Konstruktor
	public function __construct($dbname, $dbuser, $dbpassword) 
	{
	    parent::__construct($dbname, $dbuser, $dbpassword);
	}
	
	public function __destruct() {}
	
	// readUser
	// Methode zum Lesen eines Benutzers aus der Datenbank
	// aufgrund eines gegebenne Benutzernamens. 


	public function readUser($username)
	{
	    $returnvalue = null;
	    
	    $sql = "select * from t_users  "
		. "where username = '" . $username . "'"; 

	    try
		{
		    if ($result = $this->getConnection()->Execute($sql))
			{
			    if (1 == $result->RecordCount())
				{
				    $returnvalue = new UserClass 
					($result->fields['username'],
					 $result->fields['lastname'], 
					 $result->fields['firstname'], 
					 $result->fields['password']);
				}
			    else 
				{
				    throw new Exception
					("Benutzer nicht gefunden");
				    // Error Handling
				}
			
			}
		    else
			{
			    LoggClass::loggErr  
				("Fehler beim Lesen der Benutzerdaten ");
			    throw new Exception 
				("Fehler beim Lesen der Benutzerdaten ");
			};
		}
	    catch (Exception $e) 
		{ 
		    LoggClass::loggErr  
			("Fehler beim Lesen der Benutzerdaten ");
		    throw new Exception 
			("Fehler beim Lesen der Benutzerdaten ");
		}

	    return $returnvalue;
	}	

    }
}
?>
