<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

include ('globals.php');
include ('exceptionhandling.php');
include ('loggclass.php');
include ('sessionclass.php');
include ('userclass.php');
include ('htmlclass.php');

$Session = new SessionClass();
$message = '';

// pruefe, ob Login erforderlich
if ( ($Session->getState() <= 0) && isset($_POST['submitLogin']) )
{
    // lies Userdaten aus dem HTTP-Request
    $User = new UserClass
	(isset($_POST['inputUsername']) 
	 ? $_POST['inputUsername'] : '');
    
    // lies Password aus dem HTTP-Request
    if (isset ($_POST['inputPassword']))
	{ $User->setPassword($_POST['inputPassword']); }
    
    // Versuch, den Benutzer mit den uebergebenen 
    // Daten einzuloggen
    if ($Session->login($User->getUsername(),
			$User->getPassword(), 
			DBNAME, DBUSER, DBPASSWORD))
	{  $message = "Hallo, " . $User->getUsername(); }
    else { $message = "das hat leider nicht geklappt ..."; }   
}    
else
{
    $User = new UserClass;
}

?>
<html>
<head>
</head>
<body>
  <table>
    <tr>
      <td></td><td><h1>PHP Baukasten Beispielanwendung</h1></td>
    </tr>
    <tr>
      <td><?php echo HtmlClass::getNaviBar($Session->getState()) ?></td>
      <td>
        <?php echo $message ?>
        <br>
        <?php if ($Session->getState() <= 0): ?>
	  <br>
	  <form action="#" method="POST">
	    <table border='0'>
	      <tr>
	        <td>Username: </td>
	        <td><input type="text" name="inputUsername" 
	             value="<?php echo $User->getUsername() ?>">
	        </td>
	      </tr><tr>
	        <td>Passwort: </td>
	        <td><input type="text" name="inputPassword"></td>
	      </tr>
	    </table>
	      <input type="submit" name="submitLogin" value="Login">
	  </form>
	<?php endif; ?>
      </td>	
    </tr>
  </table>
</body>	   
</html>	   

