<?php
// ---------------------------------------------------------------------------
// PHP Baukasten Beispielanwendung
// Autor:  Susanne Pfeiffer / www.iloq.de
// E-Mail: susanne.pfeiffer@iloq.de
// ---------------------------------------------------------------------------

include ('globals.php');
include ('exceptionhandling.php');
include ('loggclass.php');
include ('sessionclass.php');
include ('htmlclass.php');

// Globale Benutzermeldung
$message = '';

// Instantiiere Session Objekt
// Falls ein Fehler auftritt 
// --> Abbruch und Aufruf Exception Handler
$Session = new SessionClass();
?>



<html>
<head>
</head>
<body>
  <table>
    <tr><td></td><td><h1>PHP Baukasten Beispielanwendung</h1></td></tr>
    <tr>
      <td><?php echo HtmlClass::getNaviBar($Session->getState()) ?></td>
      <td>
        <p>
          Dies ist eine einfache php-Anwendung zur Demonstration des 
          in der iX 04/2005 vorgestellten php-Baukastens. 
        </p><p>
	  Sie erlaubt das Anlegen, Aenderung und Loeschen von Buechern auf der Basis
	  einer Liste von Autoren. Die Funktionalitaeten zum Anlegen, Aenderung 
	  und Loeschen der Autoren sind nicht implementiert. 
	</p><p>
	  Eine eigene Session-Klasse steuert das Session-Management, 
	  der Datenbankzugriff wird durch eine einfache Datenmapperklasse gekapselt. 
	</p><p>
	  Einloggen in die Beispielanwendung ist mit phpbox/phpbox moeglich.
	</p><p>
	  Globale Einstellungen fuer die Anwendung lassen sich in der Datei
	  include/globals.php vornehmen.
	</p><p> 
	  Die Anwendung setzt eine PostreSQL-Datenbank voraus. Zur Verwendung
	  andere Datenbanken muessen die Datenbankzugriffsmethoden in den 
	  Datenmapperklassen entsprechend angepasst werden. 
	  Die fuer die Anwendung erforderlichen Datenbank-Tabellen lassen sich 
	  mithilfe des Skriptes sql/createdb.sql anlegen und inital befuellen. 
	</p>
      </td>
    </tr>
  </table>
</body>   
</html>   
